"{ Package: 'stx:libbasic' }"

ExternalAddress subclass:#OSHandle
	instanceVariableNames:''
	classVariableNames:''
	poolDictionaries:''
	category:'Compatibility-ST80'
!

!OSHandle class methodsFor:'documentation'!

documentation
"
    ST-80 compatibility class.
    This may be required when existing code has to be ported to ST/X;
    however, it may not be complete and more protocol may be added in the future.
    The code here was created when public domain code (Manchester) had to
    be ported to ST/X and missing classes/methods were encountered, and code added
    by reasoning 'what the original class could probably do there'.

    [author:]
        Claus Gittinger
"
! !

!OSHandle class methodsFor:'Compatibility - VW'!

currentOS
    "ST-80 compatibility."

    "/ mhmh what does ST80/VW returned here ?

    OperatingSystem isUNIXlike ifTrue:[^ #unix].
    OperatingSystem isOS2like  ifTrue:[^ #os2].
    OperatingSystem isMSWINDOWSlike  ifTrue:[^ #windows].
    ^ #unknown

    "
     OSHandle currentOS
    "
!

currentProcessID
    "ST-80 compatibility."

    ^ OperatingSystem getProcessId

    "
     OSHandle currentProcessID
    "

    "Created: / 30.10.2001 / 17:31:55 / cg"
! !

!OSHandle methodsFor:'finalization'!

disposed
    self subclassResponsibility
! !

!OSHandle class methodsFor:'documentation'!

version
    ^ '$Header: /cvs/stx/stx/libbasic/OSHandle.st,v 1.7 2001-12-11 17:47:47 cg Exp $'
! !
